from tkinter import *
from tkinter import filedialog, colorchooser, messagebox

"""
DIALOGS+NEW WINDOW
"""

class myApp(object):
    
    def __init__(self, root):
        self.master = root
        but1=Button(self.master, text="Open file", command=self.file_ask)
        but1.pack(fill=X, padx=10, pady=4)
        but2=Button(self.master, text="Choose color", command=self.color_ask)
        but2.pack(fill=X, padx=10, pady=4)
        but3=Button(self.master, text="New window", command=self.new_win)
        but3.pack(fill=X, padx=10, pady=4)
        but4=Button(self.master, text="Quit", command=self.quit_ask)
        but4.pack(fill=X, padx=10, pady=4)

        self.master.bind("<Key>", self.event_key)

    def event_key(self, ev):
        c = ev.char
        try:
            int(c)
            print ("cislo:" + c)
        except:
            print ("znak:" + c)

    def file_ask(self):
        soubor = filedialog.askopenfile(parent=self.master, title='Choose your file',filetypes=[('all files', '*.*'),('gif files', '*.gif')])
        if soubor != None:
            print (soubor.name)

    def color_ask(self):
        barva = colorchooser.askcolor(parent=self.master, title="Color", initialcolor="#000000")
        if barva != None:
            print (barva)

    def quit_ask(self):
        end = messagebox.askyesno("Quit", "Really?")
        if end: self.master.quit()

    def new_win(self):
        win = Toplevel()
        b = Label(win, text="Hello!")
        b.pack(padx=50, pady=50)

        menubar = Menu(win)

        filemenu = Menu(menubar, tearoff=0)
        filemenu.add_command(label="Do")
        filemenu.add_separator()    # rozdelovaci cara
        filemenu.add_command(label="Close", command=win.destroy) # klikaci polozka    

        druhemenu = Menu(menubar, tearoff=0)
        druhemenu.add_command(label="Disabled")
        druhemenu.add_command(label="Enabled")        

        menubar.add_cascade(label="File", menu=filemenu)  # rozbalovaci menu
        menubar.add_cascade(label="State", menu=druhemenu)
        
        win.config(menu=menubar)
        druhemenu.entryconfig(0, state=DISABLED)

        """ udalosti preneseny na nove okno - stare neaktivni """
        win.grab_set()
        """ svaze okno s rodicem - nezobrazi se v liste """
        #win.transient(self.master)    



root = Tk()
app = myApp(root)
root.mainloop()
